# List refunds Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about all refunds. Two types of refunds are available, electronic refunds and external refunds. ### Filtering You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body. If the value of a filterable field is string, you can set the corresponding query parameter to null when filtering. Then, you can get the response data with this field value being null. Examples: - /v1/refunds?status=Processed - /v1/refunds?amount=4&status=Processed - /v1/refunds?status=Processed&type=External&sort=+number Endpoint: GET /v1/refunds Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. - `accountId` (string) This parameter filters the response based on the accountId field. - `amount` (number) This parameter filters the response based on the amount field. - `createdById` (string) This parameter filters the response based on the createdById field. - `createdDate` (string) This parameter filters the response based on the createdDate field. - `methodType` (string) This parameter filters the response based on the methodType field. Enum: "ACH", "Cash", "Check", "CreditCard", "PayPal", "WireTransfer", "DebitCard", "CreditCardReferenceTransaction", "BankTransfer", "Other" - `number` (string) This parameter filters the response based on the number field. - `paymentId` (string) This parameter filters the response based on the paymentId field. - `refundDate` (string) This parameter filters the response based on the refundDate field. - `status` (string) This parameter filters the response based on the status field. Enum: "Processed", "Canceled", "Error", "Processing" - `type` (string) This parameter filters the response based on the type field. Enum: "External", "Electronic" - `updatedById` (string) This parameter filters the response based on the updatedById field. - `updatedDate` (string) This parameter filters the response based on the updatedDate field. - `sort` (string) This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on. A sortable field uses the following form: operator field_name You can use at most two sortable fields in one URL path. Use a comma to separate sortable fields. For example: operator field_name, operator field_name operator is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field. - The - operator indicates an ascending order. - The + operator indicates a descending order. By default, the response data is displayed in descending order by refund number. field_name indicates the name of a sortable field. The supported sortable fields of this operation are as below: - number - accountId - amount - refundDate - paymentId - createdDate - createdById - updatedDate - updatedById Examples: - /v1/refunds?sort=+number - /v1/refunds?status=Processed&sort=-number,+amount ## Response 200 fields (application/json): - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `refunds` (array) Container for refunds. - `refunds.accountId` (string) The ID of the account associated with this refund. Zuora associates the refund automatically with the account from the associated payment or credit memo. - `refunds.amount` (number) The total amount of the refund. - `refunds.cancelledOn` (string,null) The date and time when the refund was cancelled, in yyyy-mm-dd hh:mm:ss format. - `refunds.comment` (string) Comments about the refund. - `refunds.createdById` (string) The ID of the Zuora user who created the refund. - `refunds.createdDate` (string) The date and time when the refund was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10. - `refunds.creditMemoId` (string,null) The ID of the credit memo that is refunded. - `refunds.financeInformation` (object) Container for the finance information related to the refund. - `refunds.financeInformation.bankAccountAccountingCode` (string,null) The accounting code that maps to a bank account in your accounting system. - `refunds.financeInformation.bankAccountAccountingCodeType` (string,null) The type of the accounting code that maps to a bank account in your accounting system. - `refunds.financeInformation.transferredToAccounting` (string) Whether the refund was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `refunds.financeInformation.unappliedPaymentAccountingCode` (string,null) The accounting code for the unapplied payment. - `refunds.financeInformation.unappliedPaymentAccountingCodeType` (string,null) The type of the accounting code for the unapplied payment. - `refunds.gatewayId` (string,null) The ID of the gateway instance that processes the refund. - `refunds.gatewayReconciliationReason` (string,null) The reason of gateway reconciliation. - `refunds.gatewayReconciliationStatus` (string,null) The status of gateway reconciliation. - `refunds.gatewayResponse` (string,null) The message returned from the payment gateway for the refund. This message is gateway-dependent. - `refunds.gatewayResponseCode` (string,null) The code returned from the payment gateway for the refund. This code is gateway-dependent. - `refunds.gatewayState` (string) The status of the refund in the gateway. Enum: "MarkedForSubmission", "Submitted", "Settled", "NotSubmitted", "FailedToSettle" - `refunds.id` (string) The ID of the refund. - `refunds.markedForSubmissionOn` (string,null) The date and time when a refund was marked and waiting for batch submission to the payment process, in yyyy-mm-dd hh:mm:ss format. - `refunds.methodType` (string) How an external refund was issued to a customer. Enum: "ACH", "Cash", "Check", "CreditCard", "PayPal", "WireTransfer", "DebitCard", "CreditCardReferenceTransaction", "BankTransfer", "Other" - `refunds.number` (string) The unique identification number of the refund. - `refunds.organizationLabel` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `refunds.paymentId` (string) The ID of the payment that is refunded. - `refunds.paymentMethodId` (string,null) The unique ID of the payment method that the customer used to make the refund. - `refunds.paymentMethodSnapshotId` (string,null) The unique ID of the payment method snapshot, which is a copy of the particular payment method used in a transaction. - `refunds.payoutId` (string,null) The payout ID of the refund from the gateway side. - `refunds.reasonCode` (string) A code identifying the reason for the transaction. - `refunds.referenceId` (string,null) The transaction ID returned by the payment gateway for an electronic refund. Use this field to reconcile refunds between your gateway and Zuora Payments. - `refunds.refundDate` (string) The date when the refund takes effect, in yyyy-mm-dd format. For example, 2017-03-01. - `refunds.refundTransactionTime` (string,null) The date and time when the refund was issued, in yyyy-mm-dd hh:mm:ss format. - `refunds.secondRefundReferenceId` (string,null) The transaction ID returned by the payment gateway if there is an additional transaction for the refund. Use this field to reconcile payments between your gateway and Zuora Payments. - `refunds.settledOn` (string,null) The date and time when the refund was settled in the payment processor, in yyyy-mm-dd hh:mm:ss format. This field is used by the Spectrum gateway only and not applicable to other gateways. - `refunds.softDescriptor` (string,null) A payment gateway-specific field that maps Zuora to other gateways. - `refunds.softDescriptorPhone` (string,null) A payment gateway-specific field that maps Zuora to other gateways. - `refunds.status` (string) The status of the refund. Enum: "Processed", "Canceled", "Error", "Processing" - `refunds.submittedOn` (string,null) The date and time when the refund was submitted, in yyyy-mm-dd hh:mm:ss format. - `refunds.type` (string) The type of the refund. Enum: "External", "Electronic" - `refunds.updatedById` (string) The ID of the Zuora user who last updated the refund. - `refunds.updatedDate` (string) The date and time when the refund was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-02 15:36:10. - `refunds.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `refunds.IntegrationStatus__NS` (string) Status of the refund's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `refunds.Origin__NS` (string) Origin of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `refunds.SyncDate__NS` (string) Date when the refund was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `refunds.SynctoNetSuite__NS` (string) Specifies whether the refund should be synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.